WHACK(1)

NAME
whack - mangle requests to a printer or damage a printer

SYNOPSIS
whack [-h | -v] [-i] [-w] ids

whack [-j] [-v] [-s] [-w] printers

DESCRIPTION
whack mangles line printer requests or damages line printers. When the first form of the command is used, the printed output of the job is mangled as specified by the options. When the second form of the command is used, the printer itself is damaged as specified by the options.

OPTIONS

-h  Horizontal. Make the output run across the page horizontally, ignoring linefeeds and other form movement characters or embedded commands.

-v  Vertical. Make the output run vertically in one column (the current column) down the paper, ignoring any form movement characters or embedded commands.

-i  ISO mode. Select, at random, a different ISO code set to use while printing the rest of the job.

-w  Write a taunting message on the user's terminal after the jobs have been whacked. If the user is not logged in locally, then mail will be sent instead.

-j  Jam. Self-explanitory.

-v  Voltage surge. Send a voltage spike down the transmit lead(s) of the printer. Physical contact with the printer should be avoided while using the -v option.

-s  Spit. Causes the printer to rapidly eject it's paper load into the output bin. Depending upon the speed of the ejection, a few characters could actually print on each page.

FILES
/etc/termcap

HISTORY
Written by Eric L. Pederson <eric@bofh.org.uk>.